<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>media-query-003</title>
	<style>
		@import url("data:text/css,%23print { background-color: red; }") print;
		@import url("data:text/css,%23screen { background-color: red; }") screen;
		@import url("data:text/css,%23screenOrPrint { background-color: red; }") screen, print;
		@import url("data:text/css,%23notScreen { background-color: red; }") not screen;
		@import url("data:text/css,%23notPrint { background-color: red; }") not print;
		@import url("data:text/css,%23color { background-color: red; }") (color);
		@import url("data:text/css,%23notPrintOrColor { background-color: red; }") not print, (color);
		@import url("data:text/css,%23printAndColor { background-color: red; }") print and (color);
		@import url("data:text/css,%23all { background-color: red; }") all;
		@import url("data:text/css,%23notAll { background-color: red; }") not all;
		@import url("data:text/css,%23maxWidth793 { background-color: red; }") (max-width: 793px);
		@import url("data:text/css,%23maxWidth795 { background-color: red; }") (max-width: 795px);
		@import url("data:text/css,%23minWidth793 { background-color: red; }") (min-width: 793px);
		@import url("data:text/css,%minWidth795 { background-color: red; }") (min-width: 795px);
		@import url("data:text/css,%23printAndMaxWidth795 { background-color: red; }") print and (max-width: 795px);
		@import url("data:text/css,%23screenAndMaxWidth795 { background-color: red; }") screen and (max-width: 795px);

		#noMedia {
			background-color: red;
		}
		p::before {
			content: attr(id) ": ";
		}
	</style>
</head>
<body>
<p id="noMedia">The background of this paragraph should be red.</p>
<p id="print">The background of this paragraph should be red.</p>
<p id="screen">This paragraph should not have a red background.</p>
<p id="screenOrPrint">The background of this paragraph should be red.</p>
<p id="notScreen">The background of this paragraph should be red.</p>
<p id="notPrint">This paragraph should not have a red background.</p>
<p id="color">The background of this paragraph should be red.</p>
<p id="notPrintOrColor">The background of this paragraph should be red.</p>
<p id="printAndColor">The background of this paragraph should be red.</p>
<p id="all">The background of this paragraph should be red.</p>
<p id="notAll">This paragraph should not have a red background.</p>
<p id="maxWidth793">This paragraph should not have a red background.</p>
<p id="maxWidth795">The background of this paragraph should be red.</p>
<p id="minWidth793">The background of this paragraph should be red.</p>
<p id="minWidth795">This paragraph should not have a red background.</p>
<p id="printAndMaxWidth795">The background of this paragraph should be red.</p>
<p id="screenAndMaxWidth795">This paragraph should not have a red background.</p>
</body>
</html>

